﻿<%@ Page Language="C#" ValidateRequest="false" %>

<%@ Import Namespace="OSGeo.MapGuide" %>

<script runat="server">
    public String OutputSelectionInHTML(MgSelection selection, MgFeatureService featureService)
    {
        MgReadOnlyLayerCollection layers = selection.GetLayers();
        String outString = null;
        MgFeatureReader featReader = null;

        if (layers != null)
        {
            for (int i = 0; i < layers.GetCount(); i++)
            {
                MgLayer layer = layers.GetItem(i);
                if ((layer != null) && (layer.GetName() == "Parcels"))
                {
                    String layerClassName = layer.GetFeatureClassName();
                    String selectString = selection.GenerateFilter(layer, layerClassName);

                    String layerFeatureIdString = layer.GetFeatureSourceId();
                    MgResourceIdentifier layerResId = new MgResourceIdentifier(layerFeatureIdString);

                    MgFeatureQueryOptions queryOptions = new MgFeatureQueryOptions();
                    queryOptions.SetFilter(selectString);
                    featReader = featureService.SelectFeatures(layerResId, layerClassName, queryOptions);

                    outString = outString + "<table border=\"1\">\n";

                    double acre = 0;

                    while (featReader.ReadNext())
                    {
                        outString = outString + "<tr>\n";

                        outString = outString + "<td>";
                        outString = outString + featReader.GetString("RNAME");
                        outString = outString + "</td>\n";


                        outString = outString + "<td>";
                        outString = outString + featReader.GetString("RPROPAD");
                        outString = outString + "</td>\n";

                        outString = outString + "<td>";
                        String acreString = featReader.GetString("RACRE");
                        acre = acre + (acreString == "" ? 0 : Convert.ToDouble(acreString));
                        outString = outString + acreString;
                        outString = outString + "</tr>\n";

                    }
                    outString = outString + "</table>\n";
                }
            }

        }

        return outString;
    }
</script>

<%
    String sessionID = Request.Form.Get("SESSION");
    string realPath = Request.ServerVariables["APPL_PHYSICAL_PATH"];
    String configPath = realPath + "webconfig.ini";
    MapGuideApi.MgInitializeWebTier(configPath);

    MgUserInformation userInfo = new MgUserInformation(sessionID);
    MgSiteConnection siteConnection = new MgSiteConnection();
    siteConnection.Open(userInfo);

    String selString = Request.Form.Get("SELECTION");
    String selection = HttpUtility.UrlDecode(selString);



    MgResourceService resService = (MgResourceService)siteConnection.CreateService(MgServiceType.ResourceService);
    MgFeatureService featService = (MgFeatureService)siteConnection.CreateService(MgServiceType.FeatureService);


    MgMap map = new MgMap();
    map.Open(resService, "Sheboygan");
    MgSelection mapSelection = new MgSelection(map, selection);



 
    
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>List Selection</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="content-script-type" content="text/javascript" />
    <meta http-equiv="content-style-type" content="text/css" />
    <link href="styles/globalstyles.css" rel="stylesheet" type="text/css" />
    <link href="styles/alphastyles.css" rel="stylesheet" type="text/css" />
</head>
<body class="AppFrame">
    <%
        if (mapSelection.GetLayers() != null)
        {
            Response.Write("<div class=\"bold\" style=\"font-size: 15pt;\">\n");
            Response.Write("The following parcels are selected on the map.\n");
            Response.Write("</div><br>\n");
            Response.Write(OutputSelectionInHTML(mapSelection, featService));
        }
        else
        {
    %>
    <div class="bold" style="font-size: 15pt;">
        Please first make a selection on the map with a selection tool.
    </div>
    <%  
        }
    %>
</body>
</html>
